Restore a table to the state it was in at a given UTC timestamp
Creates a new version of the table that matches the state at the specified point in time. This is a **destructive** operation — any changes made after the target timestamp are lost. **Required scope:** `tables:modify`
Authorization
BearerAuth Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for the restore table endpoint.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/tables/string/string/string/restore" \ -H "Content-Type: application/json" \ -d '{ "timestamp": "string" }'{ "filesRemoved": 0, "filesRestored": 0}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Delete unreferenced files older than the retention period
Removes Parquet files that are no longer referenced by any version of the Delta table and are older than the retention period. Use `dry_run: true` to preview which files would be deleted. **Required scope:** `tables:modify`
List pending invites for the authenticated user
Returns all pending organisation invites for the user's email address. **Required scope:** `org:read`